Bug 98005 - netdump module hangs with tg3 [BCM GigE] network driver...
netdump module hangs with tg3 [BCM GigE] network driver...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-25 10:17 EDT by Daniel J Blueman
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel J Blueman 2003-06-25 10:17:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
When initiating the netdump process, the netconsole.o module calls 
netdump_startup_handshake() which never returns, or prints anything on the 

network card is (tg3 driver):

eth0: Tigon3 [partno(TBD) rev 1002 PHY(5703)] (PCIX:100MHz:64-bit) 
10/100/1000BaseT Ethernet 00:0b:cd:0f:49:db

The same setup and kernel works perfectly (ie dumps the kernel image) with 
(eepro100 driver):

eth0: OEM i82557/i82558 10/100 Ethernet, 00:08:02:10:C4:16, IRQ 5.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. setup netdump client with tg3 network card
2. monitor system/serial console
3. cause client to panic

Actual Results:  No memory dump is performed; no further response from netdump 
(ie hangs)

Expected Results:  Memory dump to be spooled to netdump-server

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.